Get Wallet Balance
curl --request GET \
--url https://api-production.fossapay.com/api/v1/wallets/{wallet_id}/balanceimport requests
url = "https://api-production.fossapay.com/api/v1/wallets/{wallet_id}/balance"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-production.fossapay.com/api/v1/wallets/{wallet_id}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"wallet_id": "wal_abc123",
"balances": [
{
"currency": "NGN",
"available_balance": 150000,
"ledger_balance": 150000,
"pending_balance": 0
},
{
"currency": "USDT",
"available_balance": 100.50,
"ledger_balance": 100.50,
"pending_balance": 0
}
]
}
}
Crypto Wallets
Get Wallet Balance
Retrieve wallet balance
GET
/
api
/
v1
/
wallets
/
{wallet_id}
/
balance
Get Wallet Balance
Path Parameters
The unique identifier of the wallet
Query Parameters
Filter by specific currency (optional)
Request Example
curl "https://api-production.fossapay.com/api/v1/wallets/wal_abc123/balance?currency=NGN" \
-H "Authorization: Bearer fp_live_sk_xxxxxxxx"
const response = await fetch(
'https://api-production.fossapay.com/api/v1/wallets/wal_abc123/balance?currency=NGN',
{
method: 'GET',
headers: {
Authorization: 'Bearer fp_live_sk_xxxxxxxx',
'Content-Type': 'application/json'
}
}
);
if (!response.ok) {
throw new Error(`Request failed: ${response.status} ${response.statusText}`);
}
const balance = await response.json();
Response
{
"status": "success",
"data": {
"wallet_id": "wal_abc123",
"balances": [
{
"currency": "NGN",
"available_balance": 150000,
"ledger_balance": 150000,
"pending_balance": 0
},
{
"currency": "USDT",
"available_balance": 100.50,
"ledger_balance": 100.50,
"pending_balance": 0
}
]
}
}
⌘I

